diff -ur snort-2.0.2/src/preprocessors/spp_portscan2.c snort-2.0.2-ipv6/src/preprocessors/spp_portscan2.c
--- snort-2.0.2/src/preprocessors/spp_portscan2.c	Sun Apr 27 07:55:41 2003
+++ snort-2.0.2-ipv6/src/preprocessors/spp_portscan2.c	Sat Nov 29 16:38:39 2003
@@ -1,9 +1,11 @@
-/* $Id: spp_portscan2.c,v 1.27 2003/04/26 22:55:41 chris_reid Exp $ */
+/* $Id: spp_portscan2.c,v 1.2 2003/11/29 07:38:39 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998,1999,2000,2001 Martin Roesch <roesch@clark.net>
 ** Copyright (C) 2001 Jed Haile  <jhaile@nitrodata.com>
 ** Copyright (C) 2002 Sourcefire, Inc
 **                    Chris Green <cmg@sourcefire.com>
+** Copyright (C) 2003 Cyber Solutions Inc.
+**                    Katsuhisa ABE <abekatsu@cysols.com>
 **
 ** This program is free software; you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
@@ -112,7 +114,11 @@
     ubi_trNode Node;             /* for the splay tree */
     MemBucket *bucket;
 
+#if HAVE_SOCKADDR_STORAGE
+    struct sockaddr_storage scanner_ip;
+#else
     u_int32_t scanner_ip;
+#endif
 
     struct timeval initial_time;
     struct timeval last_time;
@@ -138,8 +144,11 @@
     Portscanner *parent;  /*pointer to the parent Portscanner node */
     MemBucket *bucket;
 
-    
+#if HAVE_SOCKADDR_STORAGE
+    struct sockaddr_storage target_ip;
+#else
     u_int32_t target_ip;
+#endif
     int port_count;   /* number of ports on this target hit by parent portscanner*/
 
     struct timeval initial_time;
@@ -407,7 +416,7 @@
     /*int i;*/
 
 #ifdef DEBUG
-    char ruleIP[16], ruleNetMask[16];
+    char ruleIP[INET6_ADDRSTRLEN], ruleNetMask[INET6_ADDRSTRLEN];
 #endif
 
     currentHost = NULL;
@@ -450,16 +459,29 @@
    
     while(currentHost)
     {
+	struct sockaddr_in *sin;
+	struct sockaddr_in6 *sin6;
+
 	memset(ruleIP, '\0', 16);
         memset(ruleNetMask, '\0', 16);
 
-        strncpy(ruleIP, 
-                inet_ntoa(*(struct in_addr *) & currentHost->address->ip_addr),
-                15);
-        strncpy(ruleNetMask, 
-                inet_ntoa(*(struct in_addr *) & currentHost->address->netmask),
-                15);
-
+	switch(currentHost->address.ss_family)
+	{
+	case PF_INET:
+	     sin = (struct sockaddr_in *)currentHost->address->ip_addr;
+	     inet_ntop(PF_INET, (void *)sin->sin_addr, ruleIP, INET6_ADDRSTRLEN);
+	     sin = (struct sockaddr_in *)currentHost->address->netmask;
+	     inet_ntop(PF_INET, (void *)sin->sin_addr, ruleNetMask, INET6_ADDRSTRLEN);
+	     break;
+	case PF_INET6:
+	     sin6 = (struct sockaddr_in6 *)currentHost->address->ip_addr;
+	     inet_ntop(PF_INET6, (void *)sin6->sin6_addr, ruleIP, INET6_ADDRSTRLEN);
+	     sin6 = (struct sockaddr_in6 *)currentHost->address->netmask;
+	     inet_ntop(PF_INET6, (void *)sin6->sin6_addr, ruleNetMask, INET6_ADDRSTRLEN);
+	     break;
+	default:
+	     ;
+	}
         printf(MODNAME ": InitIgnoreHosts(): Added server %s/%s\n", 
                ruleIP, ruleNetMask);
 	currentHost = currentHost->nextNode;
@@ -821,7 +843,11 @@
 /**************************************************/
 void AddTarget(Portscanner *ps, Packet *p)
 {
+#if HAVE_SOCKADDR_STORAGE
+    struct sockaddr_storage tmp;
+#else
     struct in_addr tmp;
+#endif
     ScanTarget *target = NULL;
     MemBucket *mb = NULL;
     int pruned;
@@ -863,7 +889,28 @@
     /* target is guaranteed to be set at this point */
     
     /* fill in the target struct */
-    target->target_ip = (u_int32_t)p->iph->ip_dst.s_addr;
+#if HAVE_SOCKADDR_STORAGE
+    if (p->iph != NULL)
+    {
+	 struct sockaddr_in *sin = (struct sockaddr_in *)&target->target_ip;
+	 sin->sin_family = PF_INET;
+	 sin->sin_addr.s_addr = p->iph->ip_dst.s_addr;
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	 target->target_ip.ss_len = sizeof(struct sockaddr_in);
+#endif	 
+    }
+    else if (p->ip6h != NULL)
+    {
+	 struct sockaddr_in6 *sin6 = (struct sockaddr_in6 *)&target->target_ip;
+	 sin6->sin6_family = PF_INET6;
+	 memmove(&sin6->sin6_addr, &p->ip6h->ip6_dst, sizeof(struct in6_addr));
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	 target->target_ip.ss_len = sizeof(struct sockaddr_in6);
+#endif	 
+    }
+#else
+    sin->sin_addr.s_addr = (u_int32_t) p->iph->ip_dst.s_addr;
+#endif /* HAVE_SOCKADDR_STORAGE */
     target->port_count = 1;
     target->initial_time.tv_sec = p->pkth->ts.tv_sec;
     target->last_time.tv_sec = p->pkth->ts.tv_sec;
@@ -890,7 +937,12 @@
     {
         if(ps->targetsExceeded == FALSE) /*  if FALSE, then new portscan */
         {
+#if HAVE_SOCKADDR_STORAGE
+	    memset(&tmp, 0, sizeof(struct sockaddr_storage));
+	    memmove(&tmp, &ps->scanner_ip, sizeof(struct sockaddr_storage));
+#else
             tmp.s_addr = ps->scanner_ip;
+#endif /* HAVE_SOCKADDR_STORAGE */
 
             DEBUG_WRAP(DebugMessage(DEBUG_PORTSCAN2,
                                     "Portscanner %s # targets exceeded\n",
@@ -930,7 +982,29 @@
     ps->bucket = mb;
     
     /* fill in the portscanner struct */
+
+#if HAVE_SOCKADDR_STORAGE
+    if(p->iph != NULL)
+    {
+	struct sockaddr_in *sin = (struct sockaddr_in *)&ps->scanner_ip;
+	sin->sin_family = PF_INET;
+	sin->sin_addr.s_addr = p->iph->ip_src.s_addr;	
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	ps->scanner_ip.ss_len = sizeof(struct sockaddr_in);
+#endif
+    }
+    else if (p->ip6h != NULL)
+    {
+	struct sockaddr_in6 *sin6 = (struct sockaddr_in6 *)&ps->scanner_ip;
+	sin6->sin6_family = PF_INET6;
+	memmove(&sin6->sin6_addr, &p->ip6h->ip6_src, sizeof(struct in6_addr));
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	ps->scanner_ip.ss_len = sizeof(struct sockaddr_in6);
+#endif
+    }
+#else
     ps->scanner_ip = (u_int32_t)p->iph->ip_src.s_addr;
+#endif /* HAVE_SOCKADDR_STORAGE */
     ps->last_time.tv_sec = p->pkth->ts.tv_sec;
     ps->initial_time.tv_sec = p->pkth->ts.tv_sec;
     ps->port_count = 0; /* Add target increments this */
@@ -989,19 +1063,21 @@
                  
     #undef IPLEN
 #endif 
-    
-    
-    
+
+#if HAVE_SOCKADDR_STORAGE
+    return (IpAddrComp(&A->scanner_ip, &B->scanner_ip));
+#else
     if(A->scanner_ip < B->scanner_ip)
     {
-        return 1;
+       return 1;
     }
     else if(A->scanner_ip > B->scanner_ip)
     {
-        return -1;
+       return -1;
     }
-
     return 0;
+#endif
+
 }
 
 /*********************************************************************/
@@ -1015,12 +1091,16 @@
     A = (ScanTarget *) NodePtr;
     B = (ScanTarget *) ItemPtr;
 
+#if HAVE_SOCKADDR_STORAGE    
+    return (IpAddrComp(&A->target_ip, &B->target_ip));
+#else
     if(A->target_ip < B->target_ip)
-        return 1;
+       return 1;
     else if(B->target_ip < A->target_ip)
-        return -1;
+       return -1;
 
     return 0;
+#endif
 }
 
 
@@ -1032,10 +1112,19 @@
 {
     Event event;
     char outstring[255];
+#if HAVE_SOCKADDR_STORAGE
+    char *hostname = NULL;
+#endif
+
+#if HAVE_SOCKADDR_STORAGE
+    hostname = GetIpAddr(&ps->scanner_ip);
+#else
+    hostname = inet_ntoa(*((struct in_addr *) &ps->scanner_ip));
+#endif
 
     snprintf(outstring, 255, SCAN2_PREFIX_STR
-             "%s: %d targets %d ports in %d seconds",
-             inet_ntoa(*((struct in_addr *) &ps->scanner_ip)),
+             "%s, %d targets %d ports in %d seconds",
+             hostname,
              ps->target_count,
              ps->port_count,
              (int) (p->pkth->ts.tv_sec - ps->initial_time.tv_sec));
@@ -1046,6 +1135,8 @@
 
     CallAlertFuncs(p, outstring, NULL, &event);
     ps->event_id = event.event_id;
+    if (hostname != NULL)
+	free(hostname);
 }
 
 /*******************************************************************/
@@ -1054,13 +1145,26 @@
 /*******************************************************************/
 void SLog(Packet *p, int scan_type, Portscanner *ps)
 {
-    char src[STD_BUF];
-    char dst[STD_BUF];
+    char src[INET6_ADDRSTRLEN];
+    char dst[INET6_ADDRSTRLEN];
     char timestamp[TIMEBUF_SIZE];
     char flagString[9];
 
+#if HAVE_SOCKADDR_STORAGE
+    if (p->iph != NULL)
+    {
+	(void) inet_ntop(PF_INET, (void *)&p->iph->ip_src, src, INET_ADDRSTRLEN);
+	(void) inet_ntop(PF_INET, (void *)&p->iph->ip_dst, dst, INET_ADDRSTRLEN);
+    }
+    else if (p->ip6h != NULL)
+    {
+	(void) inet_ntop(PF_INET6, (void *)&p->ip6h->ip6_src, src, INET6_ADDRSTRLEN);
+	(void) inet_ntop(PF_INET6, (void *)&p->ip6h->ip6_dst, dst, INET6_ADDRSTRLEN);
+    }
+#else
     strlcpy(src, inet_ntoa(p->iph->ip_src), 16);
     strlcpy(dst, inet_ntoa(p->iph->ip_dst), 16);
+#endif
     ts_print((struct timeval *) &p->pkth->ts, timestamp);
     
     if(p->tcph)
@@ -1083,6 +1187,13 @@
                 "tgts: %u event_id: %u\n", timestamp, src, dst, p->icmph->type, 
                 p->icmph->code, ps->target_count, ps->event_id);
     }
+    else if(p->icmp6h)
+    {
+        fprintf(ps2data.logfile, "%s ICMP6 src: %s dst: %s type: %u code: %u "
+                "tgts: %u event_id: %u\n", timestamp, src, dst, 
+		p->icmp6h->icmp6_type, p->icmp6h->icmp6_code, 
+		ps->target_count, ps->event_id);
+    }
     
     fflush(ps2data.logfile);
 }
@@ -1099,19 +1210,33 @@
     ScanTarget *rtgt;
 
 #ifdef DEBUG
-    #define IPLEN 256
-    char sip[IPLEN];
+    char sip[INET6_ADDRSTRLEN], dip[INET6_ADDRSTRLEN];
 
+#if HAVE_SOCKADDR_STORAGE
+    if (p->iph != NULL)
+    {
+	inet_ntop(PF_INET, &p->iph->ip_src, sip, INET_ADDRSTRLEN);
+	inet_ntop(PF_INET, &p->iph->ip_dst, dip, INET_ADDRSTRLEN);
+    }
+    else if (p->ip6h != NULL)
+    {
+	inet_ntop(PF_INET6, &p->ip6h->ip6_src, sip, INET6_ADDRSTRLEN);
+	inet_ntop(PF_INET6, &p->ip6h->ip6_dst, dip, INET6_ADDRSTRLEN);
+    }
+#else
+    #define IPLEN 16
     strncpy(sip, inet_ntoa(p->iph->ip_src), IPLEN);
+    strncpy(dip, inet_ntoa(p->iph->ip_drc), IPLEN);
+    #undef IPLEN    
+#endif
     DebugMessage(DEBUG_PORTSCAN2,"In PsWatch... %s:%d->%s:%d state: %p\n",
                  sip,
                  p->dp,
-                 inet_ntoa(p->iph->ip_dst),
+		 dip,
                  p->sp,
                  p->state);
     
-    #undef IPLEN
-#endif 
+#endif
 
     /* check to see if this guy is on the ignored list, if so bail */
     if(IsIgnored(p))
@@ -1121,9 +1246,33 @@
     }
 
     /* search for this portscanner in the portscan tree */
+#if HAVE_SOCKADDR_STORAGE
+    if (p->iph != NULL)
+    {
+	struct sockaddr_in *sin = (struct sockaddr_in *)&tmp.scanner_ip;
+
+	sin->sin_family = PF_INET;
+	sin->sin_addr.s_addr = (in_addr_t) p->iph->ip_src.s_addr;
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	tmp.scanner_ip.ss_len = sizeof (struct sockaddr_in);
+#endif
+    }
+    else if (p->ip6h != NULL)
+    {
+	struct sockaddr_in6 *sin6 = (struct sockaddr_in6 *)&tmp.scanner_ip;
+
+	sin6->sin6_family = PF_INET6;
+	memmove(&sin6->sin6_addr, &p->ip6h->ip6_src, sizeof(struct in6_addr));
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	tmp.scanner_ip.ss_len = sizeof (struct sockaddr_in6);
+#endif
+    }
+    DEBUG_WRAP(DebugMessage(DEBUG_PORTSCAN2,"scanner_ip to lookfor: %s\n", sip););        
+#else
     tmp.scanner_ip = (u_int32_t)p->iph->ip_src.s_addr;
-    
     DEBUG_WRAP(DebugMessage(DEBUG_PORTSCAN2,"scanner_ip to lookfor: %s\n", inet_ntoa(p->iph->ip_src)););        
+#endif /* DEBUG */
+    
     returned = (Portscanner *) ubi_sptFind(ps2data.ScannersPtr, (ubi_btItemPtr)&tmp);
 
     if(returned == NULL)  /* we have a new potential scanner */
@@ -1135,16 +1284,43 @@
     } /* session already logged, get out */
     else        
     {
-
+	char *retIp;
+#if HAVE_SOCKADDR_STORAGE
+	retIp = GetIpAddr(&returned->scanner_ip);
+#else
+	retIp = inet_ntoa(*(struct in_addr *) &returned->scanner_ip);
+#endif
         DEBUG_WRAP(DebugMessage(DEBUG_PORTSCAN2,
                                 "Found portscanner: %p, returned->scanner_ip: %s\n",
-                                returned,
-                                inet_ntoa(*(struct in_addr *) &returned->scanner_ip)););
+                                returned, retIp););
+	if (retIp != NULL)
+	    free(retIp);
 
         /* Portscanner found, new session, pdate target/port */
         returned->last_time.tv_sec = p->pkth->ts.tv_sec;
 
+#if HAVE_SOCKADDR_STORAGE
+	if (p->iph != NULL)
+	{
+	    struct sockaddr_in *sin = (struct sockaddr_in *)&tgt.target_ip;
+	    sin->sin_family = PF_INET;
+	    sin->sin_addr.s_addr = (in_addr_t) p->iph->ip_dst.s_addr;
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	    tgt.target_ip.ss_len = sizeof(struct sockaddr_in);
+#endif
+	}
+	else if (p->ip6h != NULL)
+	{
+	    struct sockaddr_in6 *sin6 = (struct sockaddr_in6 *)&tgt.target_ip;
+	    sin6->sin6_family = PF_INET6;
+	    memmove(&sin6->sin6_addr, &p->ip6h->ip6_dst, sizeof(struct in6_addr));
+#if HAVE_SOCKADDR_STORAGE_SS_LEN
+	    tgt.target_ip.ss_len = sizeof(struct sockaddr_in6);
+#endif
+	}
+#else
         tgt.target_ip = (u_int32_t)p->iph->ip_dst.s_addr;
+#endif
 
         /* check to see if target has been hit before */
         rtgt = (ScanTarget *) ubi_sptFind((ubi_trRootPtr)returned->targetRootPtr, 
@@ -1263,7 +1439,7 @@
 static void DeletePortscanner(Portscanner *ps)
 {
     Portscanner *oldps;
-    
+
     /* need to do a walk and delete all the targets */
     DEBUG_WRAP(DebugMessage(DEBUG_PORTSCAN2, "Deleteing portscanner %p\n", ps);
                DebugMessage(DEBUG_PORTSCAN2,
diff -ur snort-2.0.2/src/preprocessors/spp_portscan2.h snort-2.0.2-ipv6/src/preprocessors/spp_portscan2.h
--- snort-2.0.2/src/preprocessors/spp_portscan2.h	Fri Mar 14 17:28:55 2003
+++ snort-2.0.2-ipv6/src/preprocessors/spp_portscan2.h	Tue Sep 30 13:25:26 2003
@@ -1,4 +1,4 @@
-/* $Id: spp_portscan2.h,v 1.7 2003/03/14 08:28:55 chris_reid Exp $ */
+/* $Id: spp_portscan2.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998,1999,2000,2001 Martin Roesch <roesch@clark.net>
 ** Copyright (C) 2001 Jed Haile <jhaile@nitrodata.com>
diff -ur snort-2.0.2/src/preprocessors/spp_rpc_decode.c snort-2.0.2-ipv6/src/preprocessors/spp_rpc_decode.c
--- snort-2.0.2/src/preprocessors/spp_rpc_decode.c	Thu Mar 27 06:59:48 2003
+++ snort-2.0.2-ipv6/src/preprocessors/spp_rpc_decode.c	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: spp_rpc_decode.c,v 1.27 2003/03/26 21:59:48 chrisgreen Exp $ */
+/* $Id: spp_rpc_decode.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 /* spp_rpc_decode 
  * 
  * Purpose:
diff -ur snort-2.0.2/src/preprocessors/spp_rpc_decode.h snort-2.0.2-ipv6/src/preprocessors/spp_rpc_decode.h
--- snort-2.0.2/src/preprocessors/spp_rpc_decode.h	Mon Jan  6 05:36:29 2003
+++ snort-2.0.2-ipv6/src/preprocessors/spp_rpc_decode.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: spp_rpc_decode.h,v 1.6 2003/01/05 20:36:29 cazz Exp $ */
+/* $Id: spp_rpc_decode.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 #ifndef __SPP_RPC_DECODE_H__
 #define __SPP_RPC_DECODE_H__
diff -ur snort-2.0.2/src/preprocessors/spp_stream4.c snort-2.0.2-ipv6/src/preprocessors/spp_stream4.c
--- snort-2.0.2/src/preprocessors/spp_stream4.c	Thu Sep 11 06:00:50 2003
+++ snort-2.0.2-ipv6/src/preprocessors/spp_stream4.c	Tue Sep 30 13:25:26 2003
@@ -1,4 +1,4 @@
-/* $Id: spp_stream4.c,v 1.6 2003/08/21 20:51:11 tburgess Exp $ */
+/* $Id: spp_stream4.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
diff -ur snort-2.0.2/src/preprocessors/spp_stream4.h snort-2.0.2-ipv6/src/preprocessors/spp_stream4.h
--- snort-2.0.2/src/preprocessors/spp_stream4.h	Wed Apr 16 23:50:15 2003
+++ snort-2.0.2-ipv6/src/preprocessors/spp_stream4.h	Tue Sep 30 13:25:26 2003
@@ -1,4 +1,4 @@
-/* $Id: spp_stream4.h,v 1.10 2003/04/16 14:50:15 chrisgreen Exp $ */
+/* $Id: spp_stream4.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
diff -ur snort-2.0.2/src/preprocessors/spp_telnet_negotiation.c snort-2.0.2-ipv6/src/preprocessors/spp_telnet_negotiation.c
--- snort-2.0.2/src/preprocessors/spp_telnet_negotiation.c	Thu Mar 27 06:59:55 2003
+++ snort-2.0.2-ipv6/src/preprocessors/spp_telnet_negotiation.c	Tue Sep 30 13:25:26 2003
@@ -17,7 +17,7 @@
 */
 
 /* Snort Preprocessor for Telnet Negotiation Normalization*/
-/* $Id: spp_telnet_negotiation.c,v 1.20 2003/03/26 21:59:55 chrisgreen Exp $ */
+/* $Id: spp_telnet_negotiation.c,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 /* spp_telnet_negotiation.c 
  * 
diff -ur snort-2.0.2/src/preprocessors/spp_telnet_negotiation.h snort-2.0.2-ipv6/src/preprocessors/spp_telnet_negotiation.h
--- snort-2.0.2/src/preprocessors/spp_telnet_negotiation.h	Thu Oct 10 14:05:59 2002
+++ snort-2.0.2-ipv6/src/preprocessors/spp_telnet_negotiation.h	Tue Sep 30 13:25:26 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: spp_telnet_negotiation.h,v 1.6 2002/10/10 05:05:59 chrisgreen Exp $ */
+/* $Id: spp_telnet_negotiation.h,v 1.1.1.1 2003/09/30 04:25:26 abekatsu Exp $ */
 
 /* Snort Preprocessor Telnet Negotiation Normalization */
 
diff -ur snort-2.0.2/src/prototypes.h snort-2.0.2-ipv6/src/prototypes.h
--- snort-2.0.2/src/prototypes.h	Fri Mar 15 23:48:00 2002
+++ snort-2.0.2-ipv6/src/prototypes.h	Tue Sep 30 13:25:25 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: prototypes.h,v 1.4 2002/03/15 14:48:00 chrisgreen Exp $ */
+/* $Id: prototypes.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 
 #ifndef __PROTOTYPES_H__
 #define __PROTOTYPES_H__
diff -ur snort-2.0.2/src/rules.h snort-2.0.2-ipv6/src/rules.h
--- snort-2.0.2/src/rules.h	Thu Sep 11 05:26:32 2003
+++ snort-2.0.2-ipv6/src/rules.h	Sat Nov 29 16:20:17 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: rules.h,v 1.4 2003/07/17 05:51:38 tburgess Exp $ */
+/* $Id: rules.h,v 1.4 2003/11/29 07:20:17 abekatsu Exp $ */
 #ifndef __RULES_H__
 #define __RULES_H__
 
@@ -271,9 +271,11 @@
 typedef struct _ListHead
 {
     RuleTreeNode *IpList;
+    RuleTreeNode *Ip6List;
     RuleTreeNode *TcpList;
     RuleTreeNode *UdpList;
     RuleTreeNode *IcmpList;
+    RuleTreeNode *Icmp6List;
     struct _OutputFuncNode *LogList;
     struct _OutputFuncNode *AlertList;
     struct _RuleListNode *ruleListNode;
diff -ur snort-2.0.2/src/sf_sdlist.c snort-2.0.2-ipv6/src/sf_sdlist.c
--- snort-2.0.2/src/sf_sdlist.c	Fri Mar 14 17:28:50 2003
+++ snort-2.0.2-ipv6/src/sf_sdlist.c	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: sf_sdlist.c,v 1.2 2003/03/14 08:28:50 chris_reid Exp $ */
+/* $Id: sf_sdlist.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/sf_sdlist.h snort-2.0.2-ipv6/src/sf_sdlist.h
--- snort-2.0.2/src/sf_sdlist.h	Fri Mar 14 17:28:51 2003
+++ snort-2.0.2-ipv6/src/sf_sdlist.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: sf_sdlist.h,v 1.2 2003/03/14 08:28:51 chris_reid Exp $ */
+/* $Id: sf_sdlist.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/signature.h snort-2.0.2-ipv6/src/signature.h
--- snort-2.0.2/src/signature.h	Fri Mar 14 17:28:51 2003
+++ snort-2.0.2-ipv6/src/signature.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: signature.h,v 1.2 2003/03/14 08:28:51 chris_reid Exp $ */
+/* $Id: signature.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 2002 Sourcefire, Inc.
 ** Author(s):   Andrew R. Baker <andrewb@sourcefire.com>
diff -ur snort-2.0.2/src/snort.c snort-2.0.2-ipv6/src/snort.c
--- snort-2.0.2/src/snort.c	Thu Sep 11 06:36:41 2003
+++ snort-2.0.2-ipv6/src/snort.c	Mon Oct 27 16:55:32 2003
@@ -1,4 +1,4 @@
-/* $Id: snort.c,v 1.5 2003/07/17 05:51:38 tburgess Exp $ */
+/* $Id: snort.c,v 1.2 2003/10/20 03:07:44 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
 **
@@ -579,6 +579,8 @@
         {
             PrintWifiPkt(stdout, &p);
         }
+	else if(p.ip6h != NULL)
+            PrintIP6Pkt(stdout, p.ip6h->s_ip6_nxt, &p);
     }
 
     switch(runMode)
diff -ur snort-2.0.2/src/snort.h snort-2.0.2-ipv6/src/snort.h
--- snort-2.0.2/src/snort.h	Thu Sep 11 04:55:58 2003
+++ snort-2.0.2-ipv6/src/snort.h	Fri Nov  7 15:29:07 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: snort.h,v 1.339 2003/09/02 18:06:30 chris_reid Exp $ */
+/* $Id: snort.h,v 1.2 2003/11/07 06:29:07 abekatsu Exp $ */
 
 #ifndef __SNORT_H__
 #define __SNORT_H__
@@ -175,6 +175,9 @@
     int verbose_flag;
     int readmode_flag;
     int show2hdr_flag;
+    int showipv6_flag;
+    int showipx_flag;
+    int showarp_flag;
     int showwifimgmt_flag;
 #ifdef WIN32
     int syslog_remote_flag;
@@ -233,6 +236,7 @@
     u_long arp;
     u_long eapol;
     u_long ipv6;
+    u_long icmpv6;
     u_long ipx;
     u_long discards;
     u_long alert_pkts;
@@ -246,6 +250,8 @@
     u_long frag_timeout;    /* number of frags cleared due to timeout */
     u_long rebuild_element; /* frags that were element of rebuilt pkt */
     u_long frag_mem_faults; /* number of times the memory cap was hit */
+
+    u_long ip6frags;        /* number of IPv6 frags that have come in */
 
     u_long tcp_stream_pkts; /* number of packets tcp reassembly touches */
     u_long rebuilt_tcp;     /* number of phoney tcp packets generated */
diff -ur snort-2.0.2/src/snprintf.c snort-2.0.2-ipv6/src/snprintf.c
--- snort-2.0.2/src/snprintf.c	Tue Apr  2 00:35:57 2002
+++ snort-2.0.2-ipv6/src/snprintf.c	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: snprintf.c,v 1.11 2002/04/01 15:35:57 andrewbaker Exp $ */
+/* $Id: snprintf.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/snprintf.h snort-2.0.2-ipv6/src/snprintf.h
--- snort-2.0.2/src/snprintf.h	Fri Mar 14 17:28:51 2003
+++ snort-2.0.2-ipv6/src/snprintf.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: snprintf.h,v 1.7 2003/03/14 08:28:51 chris_reid Exp $ */
+/* $Id: snprintf.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/spo_plugbase.h snort-2.0.2-ipv6/src/spo_plugbase.h
--- snort-2.0.2/src/spo_plugbase.h	Tue May 20 03:08:04 2003
+++ snort-2.0.2-ipv6/src/spo_plugbase.h	Tue Sep 30 13:25:25 2003
@@ -16,7 +16,7 @@
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-/* $Id: spo_plugbase.h,v 1.1 2003/05/19 18:08:04 chrisgreen Exp $ */
+/* $Id: spo_plugbase.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 #ifndef __SPO_PLUGBASE_H__
 #define __SPO_PLUGBASE_H__
 
diff -ur snort-2.0.2/src/strlcatu.c snort-2.0.2-ipv6/src/strlcatu.c
--- snort-2.0.2/src/strlcatu.c	Sat May 17 05:01:27 2003
+++ snort-2.0.2-ipv6/src/strlcatu.c	Tue Sep 30 13:25:25 2003
@@ -25,7 +25,7 @@
  * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
-/* $Id: strlcatu.c,v 1.3 2003/05/16 20:01:27 chrisgreen Exp $ */
+/* $Id: strlcatu.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 
 #ifdef HAVE_CONFIG_H
 #include "config.h"
diff -ur snort-2.0.2/src/strlcatu.h snort-2.0.2-ipv6/src/strlcatu.h
--- snort-2.0.2/src/strlcatu.h	Fri Mar 15 23:48:00 2002
+++ snort-2.0.2-ipv6/src/strlcatu.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: strlcatu.h,v 1.2 2002/03/15 14:48:00 chrisgreen Exp $ */
+/* $Id: strlcatu.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/strlcpyu.c snort-2.0.2-ipv6/src/strlcpyu.c
--- snort-2.0.2/src/strlcpyu.c	Sat May 17 05:01:27 2003
+++ snort-2.0.2-ipv6/src/strlcpyu.c	Tue Sep 30 13:25:25 2003
@@ -25,7 +25,7 @@
  * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
-/* $Id: strlcpyu.c,v 1.3 2003/05/16 20:01:27 chrisgreen Exp $ */
+/* $Id: strlcpyu.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 
 #ifdef HAVE_CONFIG_H
 #include "config.h"
diff -ur snort-2.0.2/src/strlcpyu.h snort-2.0.2-ipv6/src/strlcpyu.h
--- snort-2.0.2/src/strlcpyu.h	Fri Mar 15 23:48:00 2002
+++ snort-2.0.2-ipv6/src/strlcpyu.h	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: strlcpyu.h,v 1.2 2002/03/15 14:48:00 chrisgreen Exp $ */
+/* $Id: strlcpyu.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/sys_include.h snort-2.0.2-ipv6/src/sys_include.h
--- snort-2.0.2/src/sys_include.h	Tue Jun 26 11:19:48 2001
+++ snort-2.0.2-ipv6/src/sys_include.h	Tue Sep 30 13:25:25 2003
@@ -43,6 +43,9 @@
  * -------------------------------------------------------------------------- **
  *
  * $Log: sys_include.h,v $
+ * Revision 1.1.1.1  2003/09/30 04:25:25  abekatsu
+ * Base package
+ *
  * Revision 1.1  2001/06/26 02:19:48  roesch
  * * oops, forgot a file...
  *
